diff -urN punbb-1.3/include/url/Folder_based/forum_urls.php punbb-1.3.4/include/url/Folder_based/forum_urls.php
--- punbb-1.3/include/url/Folder_based/forum_urls.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/include/url/Folder_based/forum_urls.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * SEF URLs that use a folder-like layout.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/url/Folder_based/reserved_strings.php punbb-1.3.4/include/url/Folder_based/reserved_strings.php
--- punbb-1.3/include/url/Folder_based/reserved_strings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/include/url/Folder_based/reserved_strings.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,22 +3,22 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_reserved_strings = array(
-	''		=>	'view',
+	''				=>	'view',
 
-	'newpost'	=>	'view',
-	'newposts'	=>	'view',
-	'new-post'	=>	'view',
-	'new-posts'	=>	'view',
+	'newpost'		=>	'view',
+	'newposts'		=>	'view',
+	'new-post'		=>	'view',
+	'new-posts'		=>	'view',
 
-	'lastpost'	=>	'view',
-	'lastposts'	=>	'view',
-	'last-post'	=>	'view',
+	'lastpost'		=>	'view',
+	'lastposts'		=>	'view',
+	'last-post'		=>	'view',
 	'last-posts'	=>	'view',
 );
diff -urN punbb-1.3/include/url/Folder_based/rewrite_rules.php punbb-1.3.4/include/url/Folder_based/rewrite_rules.php
--- punbb-1.3/include/url/Folder_based/rewrite_rules.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/include/url/Folder_based/rewrite_rules.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,17 +2,17 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_rewrite_rules = array(
-	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'													=>	'viewtopic.php?id=$1&action=$2',
+	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'														=>	'viewtopic.php?id=$1&action=$2',
 	'/^post[\/_-]?([0-9]+)(\.html?|\/)?$/i'																					=>	'viewtopic.php?pid=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'view$1.php?id=$2&p=$4',
-	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'											=>	'extern.php?action=feed&$2id=$4&type=$1',
+	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'									=>	'extern.php?action=feed&$2id=$4&type=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*(\.html?|\/)?$/i'																		=>	'view$1.php?id=$2',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)(\.html?|\/)?$/i'																		=>	'post.php?tid=$1',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)[\/_-]?quote[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'post.php?tid=$1&qid=$2',
@@ -44,7 +44,7 @@
 	'/^search-k(.*)-(message|subject|all)-a(.*)-([0-9]+)-(ASC|DESC)-([0-9-]+)-(posts|topics)-p([0-9]+).html?$/i'			=>	'search.php?action=search&keywords=$1&author=$3&forum=$6&search_in=$2&sort_by=$4&sort_dir=$5&show_as=$7&p=$8',
 	'/^users(\.html?|\/)?$/i'																								=>	'userlist.php',
 	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'						=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4&p=$6',
-	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'											=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
+	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'													=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
 	'/^(email|report|subscribe|unsubscribe)[\/_-]?([0-9]+)[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'								=>	'misc.php?$1=$2&csrf_token=$3',
 	'/^(mark|rules)[\/_-]?(read)?[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'														=>	'misc.php?action=$1$2&csrf_token=$3',
 	'/^mark[\/_-](forum)[\/_-]?([0-9]+)[\/_-](read)[\/_-]([a-z0-9]+)(\.html?|\/)?$/i'										=>	'misc.php?action=markforumread&fid=$2&csrf_token=$4',
diff -urN punbb-1.3/include/url/Folder_based_(fancy)/forum_urls.php punbb-1.3.4/include/url/Folder_based_(fancy)/forum_urls.php
--- punbb-1.3/include/url/Folder_based_(fancy)/forum_urls.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/include/url/Folder_based_(fancy)/forum_urls.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,7 +3,7 @@
  * SEF URLs that use a folder-like layout and include topic name and forum name
  * where applicable.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/include/url/Folder_based_(fancy)/reserved_strings.php punbb-1.3.4/include/url/Folder_based_(fancy)/reserved_strings.php
--- punbb-1.3/include/url/Folder_based_(fancy)/reserved_strings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/include/url/Folder_based_(fancy)/reserved_strings.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,22 +3,22 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_reserved_strings = array(
-	''		=>	'view',
+	''				=>	'view',
 
-	'newpost'	=>	'view',
-	'newposts'	=>	'view',
-	'new-post'	=>	'view',
-	'new-posts'	=>	'view',
+	'newpost'		=>	'view',
+	'newposts'		=>	'view',
+	'new-post'		=>	'view',
+	'new-posts'		=>	'view',
 
-	'lastpost'	=>	'view',
-	'lastposts'	=>	'view',
-	'last-post'	=>	'view',
+	'lastpost'		=>	'view',
+	'lastposts'		=>	'view',
+	'last-post'		=>	'view',
 	'last-posts'	=>	'view',
 );
diff -urN punbb-1.3/include/url/Folder_based_(fancy)/rewrite_rules.php punbb-1.3.4/include/url/Folder_based_(fancy)/rewrite_rules.php
--- punbb-1.3/include/url/Folder_based_(fancy)/rewrite_rules.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/include/url/Folder_based_(fancy)/rewrite_rules.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,17 +2,17 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_rewrite_rules = array(
-	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'													=>	'viewtopic.php?id=$1&action=$2',
+	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'														=>	'viewtopic.php?id=$1&action=$2',
 	'/^post[\/_-]?([0-9]+)(\.html?|\/)?$/i'																					=>	'viewtopic.php?pid=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'view$1.php?id=$2&p=$4',
-	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'											=>	'extern.php?action=feed&$2id=$4&&type=$1',
+	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'									=>	'extern.php?action=feed&$2id=$4&&type=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*(\.html?|\/)?$/i'																		=>	'view$1.php?id=$2',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)(\.html?|\/)?$/i'																		=>	'post.php?tid=$1',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)[\/_-]?quote[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'post.php?tid=$1&qid=$2',
@@ -44,7 +44,7 @@
 	'/^search-k(.*)-(message|subject|all)-a(.*)-([0-9]+)-(ASC|DESC)-([0-9-]+)-(posts|topics)-p([0-9]+).html?$/i'			=>	'search.php?action=search&keywords=$1&author=$3&forum=$6&search_in=$2&sort_by=$4&sort_dir=$5&show_as=$7&p=$8',
 	'/^users(\.html?|\/)?$/i'																								=>	'userlist.php',
 	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'						=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4&p=$6',
-	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'											=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
+	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'													=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
 	'/^(email|report|subscribe|unsubscribe)[\/_-]?([0-9]+)[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'								=>	'misc.php?$1=$2&csrf_token=$3',
 	'/^(mark|rules)[\/_-]?(read)?[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'														=>	'misc.php?action=$1$2&csrf_token=$3',
 	'/^mark[\/_-](forum)[\/_-]?([0-9]+)[\/_-](read)[\/_-]([a-z0-9]+)(\.html?|\/)?$/i'										=>	'misc.php?action=markforumread&fid=$2&csrf_token=$4',
diff -urN punbb-1.3/include/xml.php punbb-1.3.4/include/xml.php
--- punbb-1.3/include/xml.php	2008-10-26 12:40:37.000000000 +0000
+++ punbb-1.3.4/include/xml.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads various functions used in parsing XML (mostly for extensions).
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3/index.php punbb-1.3.4/index.php
--- punbb-1.3/index.php	2008-11-08 10:30:00.000000000 +0000
+++ punbb-1.3.4/index.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Displays a list of the categories/forums that the current user can see, along with some statistics.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -91,7 +91,6 @@
 {
 	($hook = get_hook('in_forum_loop_start')) ? eval($hook) : null;
 
-	$forum_page['item_mods'] = '';
 	++$forum_page['item_count'];
 
 	if ($cur_forum['cid'] != $forum_page['cur_category'])	// A new category since last iteration?
@@ -125,7 +124,6 @@
 
 	// Reset arrays and globals for each forum
 	$forum_page['item_status'] = $forum_page['item_subject'] = $forum_page['item_body'] = $forum_page['item_title'] = array();
-	$forum_page['item_indicator'] = '';
 
 	// Is this a redirect forum?
 	if ($cur_forum['redirect_url'] != '')
diff -urN punbb-1.3/lang/English/admin_forums.php punbb-1.3.4/lang/English/admin_forums.php
--- punbb-1.3/lang/English/admin_forums.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/lang/English/admin_forums.php	2008-12-15 13:12:08.000000000 +0000
@@ -34,6 +34,7 @@
 'User groups'					=>	'User groups',
 'Confirm delete forum'			=>	'You are deleting the forum "%s"',
 'Forum perms read info'			=>	'The "Read forum" permission checkbox will be disabled if the group in question lacks the "Read board" permission.',
+'Forum perms redirect info'		=>	'This is a redirect forum. Only the "Read forum" permission is editable.',
 'Forum perms restore info'		=>	'Permissions can be restored to default settings using the "Default permissions" button below.',
 'Forum perms groups info'		=>	'Permissions are the defaults as set in %s unless suffixed "(S)"',
 'Forum perms admins info'		=>	'Forum Administrators always have full permissions which cannot be restricted.',
diff -urN punbb-1.3/lang/English/admin_index.php punbb-1.3.4/lang/English/admin_index.php
--- punbb-1.3/lang/English/admin_index.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/lang/English/admin_index.php	2009-04-17 12:51:23.000000000 +0000
@@ -1,12 +1,14 @@
 <?php
 
+// Language definitions used in the index page of the admin panel
 $lang_admin_index = array(
 
 'Information head'				=>	'Welcome to PunBB administration control panel',
 'Alerts'						=>	'Administrator Alerts',
 'Check for updates enabled'		=>	'This board is setup to automatically check for updates and hotfixes against the punbb.informer.com updates service.',
 'Check for updates manual'		=>	'Check for updates',	// Link text
-'PunBB version'				=>	'PunBB version',
+'Copyright message'				=>	'&copy; 2008-2009 <a href="http://punbb.informer.com/">PunBB</a>, partially based on code &copy; 2008-2009 <a href="http://fluxbb.org/">FluxBB</a>',
+'PunBB version'					=>	'PunBB version',
 'Not available'					=>	'Not available',
 'Not applicable'				=>	'N/A',
 'Server load'					=>	'Server load',
diff -urN punbb-1.3/lang/English/admin_ranks.php punbb-1.3.4/lang/English/admin_ranks.php
--- punbb-1.3/lang/English/admin_ranks.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/lang/English/admin_ranks.php	2008-11-16 14:32:43.000000000 +0000
@@ -13,11 +13,9 @@
 'Rank removed'					=>	'Rank removed.',
 'Add rank intro'				=>	'Enter a rank and the minimum number of posts that a user has to have to acquire the rank. Different ranks cannot have the same value for minimum posts. If a title is set for a user, the title will be displayed instead of any rank. For this to have any effect "<strong>User ranks</strong>" must be enabled in %s.',
 'Add rank'						=>	'Add rank',
-'Add new rank'					=>	'Add new rank',
 'Add rank legend'				=>	'New rank details',
 'Rank title label'				=>	'Rank title',
 'Min posts label'				=>	'Minimum posts',
-'Existing ranks'				=>	'Existing ranks',
 'Existing ranks legend'			=>	'Edit or remove existing user ranks',
 'No ranks'						=>	'No ranks in list.',
 'Update'						=>	'Update',
diff -urN punbb-1.3/lang/English/admin_reindex.php punbb-1.3.4/lang/English/admin_reindex.php
--- punbb-1.3/lang/English/admin_reindex.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/lang/English/admin_reindex.php	2009-04-02 13:49:40.000000000 +0000
@@ -10,7 +10,7 @@
 'Empty index warning'		=>	'<strong>WARNING!</strong> If you want to resume an aborted rebuild, do not select "empty index".',
 'Posts per cycle'			=>	'Posts per cycle',
 'Posts per cycle info'		=>	'The number of posts to process per pageview. E.g. if you were to enter 100, one hundred posts would be processed and then the page would refresh. This is to prevent the script from timing out during the rebuild process.',
-'Starting post'				=>	'Starting Post ID',
+'Starting post'				=>	'Starting post ID',
 'Starting post info'		=>	'The post ID to start rebuilding at. The default value is the first available ID in the database. Normally you would not want to change this.',
 'Empty index'				=>	'Empty index',
 'Empty index info'			=>	'Empty search index before rebuilding (see below).',
diff -urN punbb-1.3/lang/English/admin_settings.php punbb-1.3.4/lang/English/admin_settings.php
--- punbb-1.3/lang/English/admin_settings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.4/lang/English/admin_settings.php	2009-03-19 13:05:44.000000000 +0000
@@ -43,7 +43,7 @@
 'Report email label'			=>	'By e-mail to those on mailing list.',
 'Setup URL'						=>	'URL Scheme (<abbr title ="Search Engine Friendly">SEF</abbr> URLs) for your board\'s pages',
 'Setup URL legend'				=>	'Select a scheme',
-'URL scheme info'				=>	'<strong>WARNING!</strong> If you select any scheme other than the default scheme you must copy/upload the file .htaccess from the extras directory into the forum root directory. The server that hosts the forums must be configured with mod_rewrite support and must allow the use of .htaccess files. For servers other than Apache, please refer to your servers documentation.',
+'URL scheme info'				=>	'<strong>WARNING!</strong> If you select any scheme other than the default scheme you must copy/rename the file <em>.htaccess.dist</em> to <em>.htaccess</em> in the forum root directory. The server that hosts the forums must be configured with mod_rewrite support and must allow the use of <em>.htaccess</em> files. For servers other than Apache, please refer to your servers documentation.',
 'URL scheme label'				=>	'URL scheme',
 'URL scheme help'				=>	'Make sure you have read and understood the information above.',
 'Setup links'					=>	'Add your own links to the main navigation menu',
@@ -96,9 +96,9 @@
 'All caps message label'		=>	'Allow messages to contain only capital letters.',
 'All caps subject label'		=>	'Allow subjects to contain only capital letters.',
 'Indent size label'				=>	'[code] tag indent size',
-'Indent size help'				=>	'Indent text by this many spaces. If set to 8, a regular tab will be used',
+'Indent size help'				=>	'Indent text by this many spaces. If set to 8, a regular tab will be used.',
 'Quote depth label'				=>	'Maximum [quote] depth',
-'Quote depth help'				=>	'The maximum times a [quote] tag can go inside other [quote] tags, any tags deeper than this will be discarded',
+'Quote depth help'				=>	'The maximum times a [quote] tag can go inside other [quote] tags, any tags deeper than this will be discarded.',
 'Features sigs'					=>	'User signatures and signature content',
 'Features sigs legend'			=>	'Signature options',
 'Allow signatures'				=>	'Allow signatures',
@@ -166,10 +166,10 @@
 'Registration rules'			=>	'Forum rules (enable and compose forum rules)',
 'Registration rules info'		=>	'You may require new users to agree to a set of rules when registering. The rules will always be available through a link in the navigation table at the top of every page. You may enable the use of rules and then compose your rules below.',
 'Registration rules legend'		=>	'Forum rules',
-'Require rules'					=>	'Require agreement',
+'Require rules'					=>	'Use rules',
 'Require rules label'			=>	'Users must agree to forum rules before registering.',
 'Compose rules label'			=>	'Compose rules',
-'Compose rules help'			=>	'You may use HTML as text is not parsed. Leaving empty disables the use of rules.',
+'Compose rules help'			=>	'You may use HTML as text is not parsed.',
 'Rules default'					=>	'Enter your rules here.',
 
 // Email section
diff -urN punbb-1.3/lang/English/common.php punbb-1.3.4/lang/English/common.php
--- punbb-1.3/lang/English/common.php	2008-10-30 17:12:12.000000000 +0000
+++ punbb-1.3.4/lang/English/common.php	2009-05-20 09:09:23.000000000 +0000
@@ -8,8 +8,8 @@
 'lang_identifier'			=>	'en',
 
 // Number formatting
-'lang_decimal_point'	=>	'.',
-'lang_thousands_sep'	=>	',',
+'lang_decimal_point'		=>	'.',
+'lang_thousands_sep'		=>	',',
 
 // Notices
 'Bad request'				=>	'Bad request. The link you followed is incorrect or outdated.',
@@ -76,8 +76,8 @@
 'Paging separator'			=>	' ', //The character or text that separates page numbers for page navigation generally
 'Previous'					=>	'Previous',
 'Next'						=>	'Next',
-'Cancel redirect'			=>	'Operation cancelled. Redirecting …',
-'No confirm redirect'		=>	'No confirmation provided. Operation cancelled. Redirecting …',
+'Cancel redirect'			=>	'Operation cancelled. Redirecting…',
+'No confirm redirect'		=>	'No confirmation provided. Operation cancelled. Redirecting…',
 'Please confirm'			=>	'Please confirm:',
 'Help page'					=>	'Help with: %s',
 'Re'						=>	'Re:',
@@ -85,7 +85,7 @@
 'Item info single'			=>	'%s [ %s ]',
 'Item info plural'			=>	'%s [ %s to %s of %s ]', // e.g. Topics [ 10 to 20 of 30 ]
 'Info separator'			=>	' ', // e.g. 1 Page | 10 Topics
-'Powered by'				=>	'Powered by <strong>%s</strong>',
+'Powered by'				=>	'Powered by <strong>%s</strong>, supported by <strong>%s</strong>.',
 'Maintenance'				=>	'Maintenance',
 
 // CSRF confirmation form
@@ -133,11 +133,11 @@
 // Alerts
 'New alerts'				=>	'New Alerts',
 'Maintenance alert'			=>	'<strong>WARNING! Maintenance mode enabled.</strong> This board is currently in maintenance mode. <em>DO NOT</em> logout, if you do you will not be able to login again.',
-'Updates'					=>	'PunBB updates',
+'Updates'					=>	'PunBB updates:',
 'Updates failed'			=>	'The latest attempt at checking for updates against the punbb.informer.com updates service failed. This probably just means that the service is temporarily overloaded or out of order. However, if this alert does not disappear within a day or two, you should disable the automatic check for updates and check for updates manually in the future.',
-'Updates version n hf'		=>	'A newer version of PunBB, version %s, is available for download at <a href="http://punbb.informer.com/">punbb.informer.com</a>. Furthermore, one or more hotfix extensions are available for install on the Extensions tab of the admin interface.',
+'Updates version n hf'		=>	'A newer version of PunBB, version %s, is available for download at <a href="http://punbb.informer.com/">punbb.informer.com</a>. Furthermore, one or more hotfixes are available for install on the <a href="%s">Manage hotfixes</a> tab of the admin interface.',
 'Updates version'			=>	'A newer version of PunBB, version %s, is available for download at <a href="http://punbb.informer.com/">punbb.informer.com</a>.',
-'Updates hf'				=>	'One or more hotfix extensions are available for install on the Extensions tab of the admin interface.',
+'Updates hf'				=>	'One or more hotfixes are available for install on the <a href="%s">Manage hotfixes</a> tab of the admin interface.',
 'Database mismatch'			=>	'Database version mismatch',
 'Database mismatch alert'	=>	'Your PunBB database is meant to be used in conjunction with a newer version of the PunBB code. This mismatch can lead to your forum not working properly. It is suggested that you upgrade your forum to the newest version of PunBB.',
 
@@ -146,21 +146,19 @@
 'Jump to'					=>	'Jump to forum:',
 
 // For extern.php RSS feed
-'ATOM Feed'					=>	'Atom',
-'RSS Feed'					=>	'RSS',
 'RSS description'			=>	'The most recent topics at %s.',
 'RSS description topic'		=>	'The most recent posts in %s.',
 'RSS reply'					=>	'Re: ',	// The topic subject will be appended to this string (to signify a reply)
 
 // Accessibility
-'Skip to content'					=>	'Skip to forum content',
+'Skip to content'			=>	'Skip to forum content',
 
 // Debug information
-'Querytime'						=>	'Generated in %1$s seconds, %2$s queries executed',
-'Debug table'						=>	'Debug information',
-'Debug summary'						=>	'Database query performance information',
-'Query times'						=>	'Time (s)',
-'Query'							=>	'Query',
-'Total query time'					=>	'Total query time',
+'Querytime'					=>	'Generated in %1$s seconds, %2$s queries executed',
+'Debug table'				=>	'Debug information',
+'Debug summary'				=>	'Database query performance information',
+'Query times'				=>	'Time (s)',
+'Query'						=>	'Query',
+'Total query time'			=>	'Total query time',
 
 );
diff -urN punbb-1.3/lang/English/forum.php punbb-1.3.4/lang/English/forum.php
--- punbb-1.3/lang/English/forum.php	2008-10-25 15:27:40.000000000 +0000
+++ punbb-1.3.4/lang/English/forum.php	2009-04-03 10:13:23.000000000 +0000
@@ -23,16 +23,16 @@
 'No views info'				=>	'No viewing information',
 'No lastpost info'			=>	'No last post information',
 'by poster'					=>	'by %s',
-'Item status'				=>	'%s :',
-'Topic starter'				=>	'by %s',
+'Item status'				=>	'%s:',
+'Topic starter'				=>	'by <cite>%s</cite>',
 'New posts'					=>	'New posts',
 'Topic navigation'			=>	'( %s )',
-'Location'					=>	'Found in forum : %s',
+'Location'					=>	'Found in forum: %s',
 'Pages'						=>	'Pages',
 'Post topic'				=>	'Post new topic',
 'Login to post'				=>	'You must %1$s or %2$s to post a new topic',
 'No permission'				=>	'Sorry! no permission to post new topics',
-'Moved'						=>	'Moved:',
+'Moved'						=>	'Moved',
 'Sticky'					=>	'Sticky',
 'Closed'					=>	'Closed',
 'Empty forum'				=>	'Empty forum',
@@ -43,7 +43,7 @@
 'Forum options'				=>	'Forum options',
 'Moderate forum'			=>	'Moderate forum',
 'Mark forum read'			=>	'Mark forum as read',
-'RSS forum feed'			=>	'RSS Forum Feed',
+'RSS forum feed'			=>	'RSS forum feed',
 'New posts info'			=>	'Go to the first new post since your last visit.'
 
 );
diff -urN punbb-1.3/lang/English/help.php punbb-1.3.4/lang/English/help.php
--- punbb-1.3/lang/English/help.php	2008-10-25 15:27:40.000000000 +0000
+++ punbb-1.3.4/lang/English/help.php	2009-03-18 14:30:52.000000000 +0000
@@ -36,8 +36,8 @@
 'List text 2'			=>	'Example list item 2.',
 'List text 3'			=>	'Example list item 3.',
 'produces list'			=>	'produces a bulleted list.',
-'produces decimal list'	=>	'produces numbered list.',
-'produces alpha list'	=>	'produces alphabetically labelled list.',
+'produces decimal list'	=>	'produces a numbered list.',
+'produces alpha list'	=>	'produces an alphabetically labelled list.',
 'Bold, underlined text'	=>	'Bold, underlined text',
 'Smilies info'			=>	'If you like (and if it is enabled), the forum can convert a selection of smilies to image representations of those smilies. This forum recognizes the smilies listed below and replaces them with images.'
 
diff -urN punbb-1.3/lang/English/index.php punbb-1.3.4/lang/English/index.php
--- punbb-1.3/lang/English/index.php	2008-10-25 15:27:40.000000000 +0000
+++ punbb-1.3.4/lang/English/index.php	2009-01-22 10:11:19.000000000 +0000
@@ -42,6 +42,7 @@
 'New posts title'			=>	'This forum contain posts made since your last visit.',
 'Board options'				=>	'Board options',
 'RSS active feed'			=>	'RSS active topics feed',
-'Mark all as read'			=>	'Mark all forums as read'
+'Guests online'				=>	'Guests online',
+'Users online'				=>	'Users online'
 
 );
diff -urN punbb-1.3/lang/English/install.php punbb-1.3.4/lang/English/install.php
--- punbb-1.3/lang/English/install.php	2008-11-09 17:18:44.000000000 +0000
+++ punbb-1.3.4/lang/English/install.php	2009-04-16 09:17:55.000000000 +0000
@@ -4,7 +4,11 @@
 $lang_install = array(
 
 // Install Form
-'Install PunBB'			=>	'Install PunBB %s',
+'Install PunBB'				=>	'Install PunBB %s',
+'Choose language'			=>	'Change installer language',
+'Choose language help'		=>	'You can change the language of this install script if you find it easier to follow the instructions in your own language. Just choose your language from the list of installed ones below.',
+'Installer language'		=>	'Installer language:',
+'Choose language legend'	=>	'Installer language',
 'Install intro'				=>	'In order to install PunBB you must complete the form set out below. Please read the instructions provided before completing the form. If you encounter any difficulties with the installation, please refer to the documentation supplied as part of PunBB\'s download package.',
 'Part1'						=>	'Part 1 - Database setup',
 'Part1 intro'				=>	'Please enter the requested information in order to setup your database for PunBB. You must know all the information asked for before proceeding with the installation. Help with completing this part of the form is set out below.',
@@ -17,7 +21,6 @@
 'Table prefix'				=>	'Table prefix',
 'Database type info'		=>	'PunBB currently supports MySQL, PostgreSQL and SQLite. If your database of choice is missing from the drop-down menu below, it means this PHP environment does not have support for that particular database. More information regarding support for particular versions of each database can be found in the FAQ.',
 'Mysql type info'			=>	'PunBB has detected that your PHP environment supports two different ways of communicating with MySQL. The two options are called "<em>standard</em>" and "<em>improved</em>". If you are uncertain which one to use, start by trying improved and if that fails, try standard.',
-'MySQL InnoDB info'			=>	'PunBB has detected that your MySQL server might support <a href="http://dev.mysql.com/doc/refman/5.0/en/innodb-overview.html">InnoDB</a>. This would be a good choice if you are planning to run a large forum. If you are uncertain, it is recommended to not use InnoDB.',
 'Database server info'		=>	'Enter the address of the database server (example: <em>localhost</em>, <em>mysql1.example.com</em> or <em>208.77.188.166</em>). You can specify a custom port number if your database doesn\'t run on the default port (example: <em>localhost:3580</em>). For SQLite support, just enter anything or leave it at \'localhost\'.',
 'Database name info'		=>	'Enter the name of the database that PunBB will be installed into. The database must exist. For SQLite, this is the relative path to the database file. If the SQLite database file does not exist, PunBB will attempt to create it.',
 'Database username info'	=>	'Enter the username and password used for connecting to the selected database. Ignore for SQLite.',
@@ -74,9 +77,11 @@
 'Invalid table prefix'		=>	'The table prefix \'%s\' contains illegal characters or is too long. The prefix may contain the letters a to z, any numbers and the underscore character. They must however not start with a number. The maximum length is 40 characters. Please choose a different prefix.',
 'SQLite prefix collision'	=>	'The table prefix \'sqlite_\' is reserved for use by the SQLite engine. Please choose a different prefix.',
 'PunBB already installed'	=>	'A table called "%1$susers" is already present in the database "%2$s". This could mean that PunBB is already installed or that another piece of software is installed and is occupying one or more of the table names PunBB requires. If you want to install multiple copies of PunBB in the same database, you must choose a different table prefix.',
-'InnoDB not enabled'		=>	'InnoDB does not seem to be enabled. Please choose a database layer that does not have InnoDB support, or enable InnoDB on your MySQL server.',
+'Invalid language'			=>	'The language pack you have chosen doesn\'t seem to exist or is corrupt. Please recheck and try again.',
 
 // Used in the install
+'Default language'			=>	'Default language',
+'Default language help'		=>	'(If you remove a language pack you must update this setting)',
 'Default announce heading'	=>	'Sample announcement',
 'Default announce message'	=>	'<p>Enter your announcement here.</p>',
 'Default maint message'		=>	"The forums are temporarily down for maintenance. Please try again in a few minutes.<br />\\n<br />\\n/Administrator",
